Welcome to Help
Please use the contents and index pane to the left of this text to receive help regarding KeepMeConnected 2001.


What is KeepMeConnected?
Depending on your ISP, you maybe disconnected if you don't use your connection for a certain amount of time (often around 20 minutes). KeepMeConnected works by using your connection to ping a web site (test the speed of access), consequently making your ISP believe you have used your connection recently and so stopping you from being disconnected. As pinging takes a very little bandwidth, it won't slow your downloads or browsing.

KeepMeConnected is released as freeware, and so is completely free to use.


Using KeepMeConnected
Once loaded, KeepMeConnected sits in the system tray next to the clock, as shown below:

KeepMeConnected has been designed to be transparent to the user and will automatically start pinging when a connection is detected.

The Popup Menu
To access KeepMyConnection, you need to right clicking on the KeepMeConnected system tray icon. You can also double-click on the icon to launch the Status window.

Status
Launches the Status window. This gives you detailed information about the operation of KeepMyConnection and your current connection.

Properties
Allows you to change the the frequency of the pings, the site to be pinged and the timeout of the ping.

Help
Launches this help file.

About
Shows you the version and build number of your copy of KeepMeConnected.

Exit
Closes the application.

The Status Window

The status window can be used to check on the current status of KeepMeConnected. You can find out whether you are online or offline (and since when), your local IP address, as well as the last successful ping result and what location was pinged.

Ping Now
Allows you to ping the Ping Location. Only works if you are currently connected.

Close
Closes the status window.

?
Launches this help topic.

To alter the Ping Location, you need to change the setting located in the "Properties" window, explained below.

The Properties Window

The Properties window allows you to setup KeepMeConnected operation.

Ping Location
Specifies the host to be pinged. This can be entered as either a friendly (hostname) or as an IP address (e.g. 127.0.0.1).

Timeout
Specifies how long KeepMeConnected should wait for the ping to be replied (called a pong).

Ping Frequency
Specifies how often a ping should be sent. We found that a ping every 5 minutes keeps most connections active.

OK
Updates KeepMeConnected with the information entered and closes the window.

Cancel
Closes the window without saving any changes.

?
Launches this help topic.


Uninstallation
KeepMeConnected uses the industry-standard installation system, InstallShield to make installation and uninstallation a breeze.

To Uninstall KeepMeConnected 2001:

1. Find the "KeepMeConnected" entry in the "Add / Remove Programs" section of the Control Panel.

2. Select the entry, click the "Add/Remove..." button and follow the on-screen instructions.